<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_change_site_table_entry" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_changeSiteTableEntry - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: krui_err krui_changeSiteTableEntry(char*, char*, char*);
/*****************************************************************************
  FUNCTION : ann_change_site_table_entry
  PURPOSE  : 
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_change_site_table_entry</refname>

    <refpurpose>Changes the site function of a previously defined site
    name.</refpurpose>
    
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>ann_change_site_table_entry(network, old_site_name, new_site_name, new_site_func);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>old_site_name</term>

        <listitem>
          <para>Name of the sites to replace (string)</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>new_site_name</term>

        <listitem>
          <para>New site name (string)</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>new_site_func</term>

        <listitem>
          <para>New site function (string)</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>All sites in the network with the name {old_site_name} changes their
    names and functions.

    Error if {old_site_name} or {new_site_func} isn't defined, 0 otherwise.
    </para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
